function [p,t,s,o2,Q] = whp_ctdQ(flname);
% modified by SPK to return quality flags
% WHP_CTD Reads in standard WOCE ctd ascii file specified by flname
%         Checks the header record and if the temperature is in ITS-90, 
%         if is converted to IPTS-68 before being returned
%
% Usage: [p,t,s,o2] = whp_ctd(flname); 
%
% Output : (column vectors)
%  p : pressure 
%  t : (in situ) temperature
%  s : salinity 
%  ox: oxygen
%  
%
% Paul E. Robbins copyright 1995

[h,dat]=hdrload(flname);
disp(h)
p = dat(:,1);
t = dat(:,2);
s = dat(:,3);
o2 = dat(:,4);
% nobs = dat(:,5);
Q = dat(:,end);

if any(strmatch(h,'ITS-90'))
  dotemp = 1;
  disp(['  Converting temperature from ITS-90 to IPTS-68'])
else
  dotemp = 0;
end

if dotemp
  t = 1.00024*t;
end
